Results 1 to 10 of 10

Thread: Newer Version of Firefox

  1. #1

    Default Newer Version of Firefox

    I just installed 15.3 over 15.2 (Desktop edition) and made sure to preserve /home.

    Now when I launch Firefox, a window opens up with the following:
    You've launched an older version of Firefox
    Using an older version of Firefox can corrupt bookmarks and
    browsing history already saved to an existing Firefox profile. To
    protect your information, create a new profile for this installation of
    Firefox.
    So, how do I install a newer version of Firefox?

    YaST Software Management shows that I have the following installed when I do a search for Firefox:
    MozillaFirefox v. 78.10.0-8.38-1
    MozillaFirefox-branding-openSUSE v. 68-lp153.4.22
    kmozillahelper v. 5.0.5-bp153.1.24

    I do not see anything in Software Management what would allow me to install a newer version of Firefox.

    I don't want to create a newer profile because I would have to re-install all the add-ons and settings...

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    16,015
    Blog Entries
    3

    Default Re: Newer Version of Firefox

    There's a repo:
    Code:
    http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/
    which you can add. You probably did the equivalent with Leap 15.2, so you will need to do it again with Leap 15.3 if you want the latest firefox.
    openSUSE Leap 15.4; KDE Plasma 5.24.4;
    testing Tumbleweed.

  3. #3
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    3,997

    Default Re: Newer Version of Firefox

    Quote Originally Posted by tb75252 View Post
    I just installed 15.3 over 15.2 (Desktop edition) and made sure to preserve /home.

    Now when I launch Firefox, a window opens up with the following:


    So, how do I install a newer version of Firefox?

    YaST Software Management shows that I have the following installed when I do a search for Firefox:
    MozillaFirefox v. 78.10.0-8.38-1
    MozillaFirefox-branding-openSUSE v. 68-lp153.4.22
    kmozillahelper v. 5.0.5-bp153.1.24

    I do not see anything in Software Management what would allow me to install a newer version of Firefox.

    I don't want to create a newer profile because I would have to re-install all the add-ons and settings...
    Zypper says:
    Code:
    Leap-15-3:~ # zypper se -is firefox  
    Loading repository data... 
    Reading installed packages... 
    
    S | Name                               | Type    | Version        | Arch   | Repository 
    --+------------------------------------+---------+----------------+--------+-------------------------------------------- 
    i | MozillaFirefox                     | package | 89.0-lp153.1.1 | x86_64 | Mozilla based projects (openSUSE_Leap_15.3) 
    i | MozillaFirefox-branding-openSUSE   | package | 68-lp153.8.1   | x86_64 | Mozilla based projects (openSUSE_Leap_15.3) 
    i | MozillaFirefox-translations-common | package | 89.0-lp153.1.1 | x86_64 | Mozilla based projects (openSUSE_Leap_15.3) 
    Leap-15-3:~ # zypper dup --from mozilla                
    Loading repository data... 
    Reading installed packages... 
    Computing distribution upgrade... 
    Nothing to do. 
    Leap-15-3:~ # zypper lr -uEP 
    #  | Alias                 | Name                                                         | Enabled | GPG Check | Refresh | Priority | URI 
    ---+-----------------------+--------------------------------------------------------------+---------+-----------+---------+----------+------------------------------------------------------------------------------------------------ 
     5 | Kernel_stable         | Kernel builds for branch stable (standard)                   | Yes     | (r ) Yes  | Yes     |   50     | https://download.opensuse.org/repositories/Kernel:/stable/standard/ 
     1 | KDE-Applications      | KDE-Applications                                             | Yes     | (r ) Yes  | Yes     |   75     | https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.3 
     2 | KDE-Extra             | KDE-Extra                                                    | Yes     | (r ) Yes  | Yes     |   75     | https://download.opensuse.org/repositories/KDE:/Extra/KDE_Applications_openSUSE_Leap_15.3 
     3 | KDE-Frameworks        | KDE-Frameworks                                               | Yes     | (r ) Yes  | Yes     |   75     | https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.3 
     4 | KDE-Qt5               | KDE-Qt5                                                      | Yes     | (r ) Yes  | Yes     |   75     | https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.3 
     6 | mozilla               | Mozilla based projects (openSUSE_Leap_15.3)                  | Yes     | (r ) Yes  | Yes     |   90     | https://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/ 
     8 | packman               | packman                                                      | Yes     | (r ) Yes  | Yes     |   90     | http://ftp.fau.de/packman/suse/openSUSE_Leap_15.3/ 
     7 | openSUSE-Leap-15.3-1  | openSUSE-Leap-15.3-1                                         | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/distribution/leap/15.3/repo/oss/ 
    10 | repo-backports-update | Update repository of openSUSE Backports                      | Yes     | (r ) Yes  | Yes     |   99     | https://download.opensuse.org/update/leap/15.3/backports/ 
    15 | repo-non-oss          | Non-OSS Repository                                           | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/ 
    17 | repo-sle-update       | Update repository with updates from SUSE Linux Enterprise 15 | Yes     | (r ) Yes  | Yes     |   99     | https://download.opensuse.org/update/leap/15.3/sle 
    19 | repo-update           | Hauptaktualisierungs-Repository                              | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/update/leap/15.3/oss 
    20 | repo-update-non-oss   | Aktualisierungs-Repository (Nicht-Open-Source-Software)      | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/update/leap/15.3/non-oss/ 
    Leap-15-3:~ # zypper lr -uEP mozilla 
    Alias          : mozilla 
    Name           : Mozilla based projects (openSUSE_Leap_15.3) 
    URI            : https://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/ 
    Enabled        : Yes 
    GPG Check      : (r ) Yes 
    Priority       : 90 (raised priority)
    Autorefresh    : On 
    Keep Packages  : Off 
    Type           : rpm-md 
    GPG Key URI    : https://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/repodata/repomd.xml.key 
    Path Prefix    :  
    Parent Service :  
    Keywords       : --- 
    Repo Info Path : /etc/zypp/repos.d/mozilla.repo 
    MD Cache Path  : /var/cache/zypp/raw/mozilla 
    Leap-15-3:~ #
    i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), 5600X (2022) openSUSE Tumbleweed, KDE Plasma

  4. #4

    Default Re: Newer Version of Firefox

    Quote Originally Posted by nrickert View Post
    There's a repo:
    Code:
    http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/
    which you can add. You probably did the equivalent with Leap 15.2, so you will need to do it again with Leap 15.3 if you want the latest firefox.
    Yes, that's probably what I did and forgot all about it...

    What is the proper sequence in order to install a newer version of Firefox?

    * Do i first uninstall
    MozillaFirefox v. 78.10.0-8.38-1
    MozillaFirefox-branding-openSUSE v. 68-lp153.4.22
    kmozillahelper v. 5.0.5-bp153.1.24
    * Second, add repo
    Code:
    http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/
    * Third, run YaST Software Management and search for Firefox?

  5. #5
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    16,015
    Blog Entries
    3

    Default Re: Newer Version of Firefox

    Quote Originally Posted by tb75252 View Post
    What is the proper sequence in order to install a newer version of Firefox?
    That's up to you.

    My choice would be:

    (1) add the repo.
    (2) Use Yast Software management. Go to the "Repositories" view. That will tell you what's in that repo.
    (3) Use the "Versions" tab to make sure that you install the version you want. Installing a newer version will automatically remove the older version.

    You will probably need to upgrade everything firefox related, to satisfy dependency requirements.
    openSUSE Leap 15.4; KDE Plasma 5.24.4;
    testing Tumbleweed.

  6. #6

    Default Re: Newer Version of Firefox

    Quote Originally Posted by nrickert View Post
    There's a repo:
    Code:
    http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/
    which you can add. You probably did the equivalent with Leap 15.2, so you will need to do it again with Leap 15.3 if you want the latest firefox.
    I tied this and get no such file or directory error

  7. #7
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    16,015
    Blog Entries
    3

    Default Re: Newer Version of Firefox

    Quote Originally Posted by 1chip View Post
    I tied this and get no such file or directory error
    I'm not sure what you tried. When I enable that repo, I can see "MozillaFirefox" version 89.0-lp153.1.1

    Personally, I'm still using the esr version (78.11.0), so I normally leave that repo disabled.
    openSUSE Leap 15.4; KDE Plasma 5.24.4;
    testing Tumbleweed.

  8. #8

    Default Re: Newer Version of Firefox

    sorry to hijack this thread but I do have a question related to the installation of firefox also on Leap 15.3; once I have added the repo should I do a
    Code:
    zypper in MozillaFirefox
    or a
    Code:
    zypper dup --allow-vendor-change
    whats the difference between the two? will zypper in MozillaFirefox only upgrade firefox but not thunderbird?

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,219

    Default AW: Newer Version of Firefox

    whats the difference between the two? will zypper in MozillaFirefox only upgrade firefox but not thunderbird?
    zypper in will only install the package and its dependencies from highest priority Repo or with the highest version if the package is not installed. If the package is installed, it will do nothing (no vendor change).
    If you use zypper in -force it will install the package, depending on priority and/or Version, also from another Repo. That means if installed it will be once more installed.

    But both times only the package (and maybe dependencies) is installed.

    zypper dup --allow-vendor-change will install all installed packages once more with highest priority/version. But I would not use this command because it will use and switch with all enabled Repos.

    It is better to use:
    zypper dup --allow-vendor-change --from (NAME,NUMBER,URL)
    That will switch all installed packages to the version from that repo, if available, f. e. Firefox and Thunderbird if installed.
    Last edited by Sauerland; 13-Oct-2021 at 09:42.

  10. #10

    Default Re: Newer Version of Firefox

    Quote Originally Posted by jayrbm View Post
    sorry to hijack this thread but I do have a question related to the installation of firefox also on Leap 15.3; once I have added the repo should I do a
    Code:
    zypper in MozillaFirefox
    or a
    Code:
    zypper dup --allow-vendor-change
    whats the difference between the two? will zypper in MozillaFirefox only upgrade firefox but not thunderbird?
    https://en.opensuse.org/SDB:Vendor_change_update

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •